Bug 919773 - (CVE-2013-2274) CVE-2013-2274 Puppet: HTTP PUT report saving code execution vulnerability
CVE-2013-2274 Puppet: HTTP PUT report saving code execution vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130312,repo...
: Security
Depends On: 919788 919790 919791 920843 924458 995664
Blocks: 919786 919787 921763
  Show dependency treegraph
 
Reported: 2013-03-09 20:50 EST by Kurt Seifried
Modified: 2016-04-26 21:25 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-11 03:00:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
puppet-2.6.17-CVE-Rollup.patch (102.81 KB, patch)
2013-03-15 00:51 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-03-09 20:50:14 EST
Moses Mendoza (moses@puppetlabs.com) reports:

CVE-2013-2274 - Remote code execution on master from authenticated clients
* Affected versions: 2.6.x
* Patched versions: 2.6.18

A bug in Puppet allows an authenticated client to execute arbitrary
code on the puppet master in its default configuration. Given a valid
certificate and private key, a client can construct an HTTP PUT
request that is authorized to save the client's own report, but the
request will actually cause the puppet master to execute arbitrary
code.


External References:
https://puppetlabs.com/security/cve/cve-2013-2274/
Comment 3 Vincent Danen 2013-03-12 17:37:25 EDT
Created puppet tracking bugs for this issue

Affects: epel-all [bug 920843]
Comment 4 Kurt Seifried 2013-03-15 00:51:04 EDT
Created attachment 710423 [details]
puppet-2.6.17-CVE-Rollup.patch
Comment 6 Murray McAllister 2013-03-27 03:24:43 EDT
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 7 errata-xmlrpc 2013-04-04 16:20:24 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0710 https://rhn.redhat.com/errata/RHSA-2013-0710.html
Comment 8 Fedora Update System 2013-04-05 18:36:28 EDT
puppet-2.6.18-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-04-05 18:37:41 EDT
puppet-2.6.18-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Kurt Seifried 2013-07-26 02:19:17 EDT
Removed due to typo.

Note You need to log in before you can comment on or make changes to this bug.